Skip to Content.
Sympa Menu

notify-dpml - svn commit: r2558 - development/main/depot/console/etc/bin

notify-dpml AT lists.ibiblio.org

Subject: DPML Notify

List archive

Chronological Thread  
  • From: peter AT neubauer.se
  • To: notify-dpml AT lists.ibiblio.org
  • Subject: svn commit: r2558 - development/main/depot/console/etc/bin
  • Date: Sat, 14 May 2005 05:47:14 +0000

Author: peter AT neubauer.se
Date: Sat May 14 05:46:53 2005
New Revision: 2558

Modified:
development/main/depot/console/etc/bin/depot
development/main/depot/console/etc/bin/depot-cygwin.sh
development/main/depot/console/etc/bin/depot-unix.sh
Log:
converted to unix files and fixed a '"'
Depot seems to start now on linux

Modified: development/main/depot/console/etc/bin/depot
==============================================================================
--- development/main/depot/console/etc/bin/depot (original)
+++ development/main/depot/console/etc/bin/depot Sat May 14 05:46:53
2005
@@ -1,69 +1,69 @@
-#!/bin/sh
-#
-# Copyright 2004 Niclas Hedhman
-# Copyright 2005 Stephen McConnnell
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
-# implied.
-#
-# See the License for the specific language governing permissions and
-# limitations under the License
-if [ ! "$DPML_HOME" ]; then
- DPML_HOME="$HOME/.dpml"
- export DPML_HOME
-fi
-
-if [ ! "$DPML_SYSTEM" ]; then
- CWD=`pwd`
- BIN_DIR=`dirname "$0"`
- cd "$BIN_DIR"
- ABSOLUTE_PATH=`pwd`
- cd "$CWD"
- DPML_SYSTEM="`dirname "$ABSOLUTE_PATH"`
- export DPML_SYSTEM
-fi
-
-# Checking for JAVA_HOME is required on *nix due
-# to some distributions including kaffe in /usr/bin
-#
-
-if [ "$JAVA_HOME" = "" ] ; then
- echo "ERROR: JAVA_HOME not found in your environment."
- echo
- echo "Please, set the JAVA_HOME variable in your environment to match the
location"
- echo " of the Java Virtual Machine you want to use."
- echo
- echo "This requirement is in place to avoid accidental execution of
pre-installed"
- echo "Java virtual machines on your system, such as kaffe or any outdated
Sun or"
- echo "Blackdown JVMs. Sorry for the inconvenience."
- exit 1
-fi
-
-PLATFORM=`uname`
-export PLATFORM
-
-DEOPOT_VERSION="@DEPOT_VERSION@"
-export DEOPOT_VERSION
-
-SECURITY_POLICY=$DPML_SYSTEM/bin/security.policy
-export SECURITY_POLICY
-
-DEPOT_CLASSPATH="$DPML_HOME/data/lib/@DEPOT-PATH@
-export DEPOT_CLASSPATH
-
-if [ `echo $PLATFORM | grep "CYGWIN"` ] ; then
- exec "$DPML_SYSTEM/bin/depot-cygwin.sh" "$@"
-elif [ `echo $PLATFORM | grep "Linux"` ] ; then
- exec "$DPML_SYSTEM/bin/depot-unix.sh" "$@"
-else
- echo "Starting Default Unix script"
- exec "$DPML_SYSTEM/bin/depot-unix.sh" "$@"
-fi
+#!/bin/sh
+#
+# Copyright 2004 Niclas Hedhman
+# Copyright 2005 Stephen McConnnell
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied.
+#
+# See the License for the specific language governing permissions and
+# limitations under the License
+if [ ! "$DPML_HOME" ]; then
+ DPML_HOME="$HOME/.dpml"
+ export DPML_HOME
+fi
+
+if [ ! "$DPML_SYSTEM" ]; then
+ CWD=`pwd`
+ BIN_DIR=`dirname "$0"`
+ cd "$BIN_DIR"
+ ABSOLUTE_PATH=`pwd`
+ cd "$CWD"
+ DPML_SYSTEM=`dirname "$ABSOLUTE_PATH"`
+ export DPML_SYSTEM
+fi
+
+# Checking for JAVA_HOME is required on *nix due
+# to some distributions including kaffe in /usr/bin
+#
+
+if [ "$JAVA_HOME" = "" ] ; then
+ echo "ERROR: JAVA_HOME not found in your environment."
+ echo
+ echo "Please, set the JAVA_HOME variable in your environment to match the
location"
+ echo " of the Java Virtual Machine you want to use."
+ echo
+ echo "This requirement is in place to avoid accidental execution of
pre-installed"
+ echo "Java virtual machines on your system, such as kaffe or any outdated
Sun or"
+ echo "Blackdown JVMs. Sorry for the inconvenience."
+ exit 1
+fi
+
+PLATFORM=`uname`
+export PLATFORM
+
+DEOPOT_VERSION="@DEPOT_VERSION@"
+export DEOPOT_VERSION
+
+SECURITY_POLICY=$DPML_SYSTEM/bin/security.policy
+export SECURITY_POLICY
+
+DEPOT_CLASSPATH=$DPML_HOME/data/lib/@DEPOT-PATH@
+export DEPOT_CLASSPATH
+
+if [ `echo $PLATFORM | grep "CYGWIN"` ] ; then
+ exec "$DPML_SYSTEM/bin/depot-cygwin.sh" "$@"
+elif [ `echo $PLATFORM | grep "Linux"` ] ; then
+ exec "$DPML_SYSTEM/bin/depot-unix.sh" "$@"
+else
+ echo "Starting Default Unix script"
+ exec "$DPML_SYSTEM/bin/depot-unix.sh" "$@"
+fi
\ No newline at end of file

Modified: development/main/depot/console/etc/bin/depot-cygwin.sh
==============================================================================
--- development/main/depot/console/etc/bin/depot-cygwin.sh (original)
+++ development/main/depot/console/etc/bin/depot-cygwin.sh Sat May 14
05:46:53 2005
@@ -1,48 +1,48 @@
-#!/bin/sh
-#
-# Copyright 2004 Niclas Hedhman
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
-# implied.
-#
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-
-# For Cygwin, ensure paths are in UNIX format before anything is touched
-JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
-[ -n "$CLASSPATH" ] && CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
-
-JAVA="$JAVA_HOME/bin/java"
-
-# switch necessary paths to Windows format before running java
-JAVA_HOME=`cygpath --windows "$JAVA_HOME"`
-DPML_HOME=`cygpath --windows "$DPML_HOME"`
-DPML_SYSTEM=`cygpath --windows "$DPML_SYSTEM"`
-DEPOT_CLASSPATH=`cygpath --windows "$DEPOT_CLASSPATH"`
-[ -n "$CLASSPATH" ] && CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
-
-TITLE="Starting Depot $DEPOT_VERSION."
-echo $TITLE
-echo "$TITLE" | sed 's/./=/g'
-echo " Platform: $PLATFORM"
-echo " Java Home: $JAVA_HOME"
-echo " DPML System: $DPML_SYSTEM"
-echo " DPML Home: $DPML_HOME"
-echo " Security policy: $SECURITY_POLICY"
-echo " JVM Options: $DEPOT_JVM_OPTS"
-echo " Depot Classpath: $DEPOT_CLASSPATH"
-echo " Depot Arguments: $DEPOT_ARGS $@"
-echo ""
-
-ARGS="$DEPOT_JVM_OPTS
-Djava.system.class.loader=net.dpml.depot.lang.DepotClassLoader
\"-Djava.security.policy=$SECURITY_POLICY\" -classpath \"$DEPOT_CLASSPATH\"
net.dpml.depot.lang.Main $DEPOT_ARGS $@"
-
-echo $ARGS | xargs "$JAVA"
+#!/bin/sh
+#
+# Copyright 2004 Niclas Hedhman
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied.
+#
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+[ -n "$CLASSPATH" ] && CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+
+JAVA="$JAVA_HOME/bin/java"
+
+# switch necessary paths to Windows format before running java
+JAVA_HOME=`cygpath --windows "$JAVA_HOME"`
+DPML_HOME=`cygpath --windows "$DPML_HOME"`
+DPML_SYSTEM=`cygpath --windows "$DPML_SYSTEM"`
+DEPOT_CLASSPATH=`cygpath --windows "$DEPOT_CLASSPATH"`
+[ -n "$CLASSPATH" ] && CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+
+TITLE="Starting Depot $DEPOT_VERSION."
+echo $TITLE
+echo "$TITLE" | sed 's/./=/g'
+echo " Platform: $PLATFORM"
+echo " Java Home: $JAVA_HOME"
+echo " DPML System: $DPML_SYSTEM"
+echo " DPML Home: $DPML_HOME"
+echo " Security policy: $SECURITY_POLICY"
+echo " JVM Options: $DEPOT_JVM_OPTS"
+echo " Depot Classpath: $DEPOT_CLASSPATH"
+echo " Depot Arguments: $DEPOT_ARGS $@"
+echo ""
+
+ARGS="$DEPOT_JVM_OPTS
-Djava.system.class.loader=net.dpml.depot.lang.DepotClassLoader
\"-Djava.security.policy=$SECURITY_POLICY\" -classpath \"$DEPOT_CLASSPATH\"
net.dpml.depot.lang.Main $DEPOT_ARGS $@"
+
+echo $ARGS | xargs "$JAVA"

Modified: development/main/depot/console/etc/bin/depot-unix.sh
==============================================================================
--- development/main/depot/console/etc/bin/depot-unix.sh (original)
+++ development/main/depot/console/etc/bin/depot-unix.sh Sat May 14
05:46:53 2005
@@ -1,37 +1,37 @@
-#!/bin/sh
-#
-# Copyright 2004 Niclas Hedhman
-# Copyright 2005 Stephen McConnell
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
-# implied.
-#
-# See the License for the specific language governing permissions and
-# limitations under the License.
-
-TITLE="Starting Depot $DEPOT_VERSION."
-echo $TITLE
-echo "$TITLE" | sed 's/./=/g'
-echo " Platform: $PLATFORM"
-echo " Java Home: $JAVA_HOME"
-echo " DPML System: $DPML_SYSTEM"
-echo " DPML Home: $DPML_HOME"
-echo " Security policy: $SECURITY_POLICY"
-echo " JVM Options: $DEPOT_JVM_OPTS"
-echo " Depot Classpath: $DEPOT_CLASSPATH"
-echo " Depot Arguments: $DEPOT_ARGS $@"
-echo ""
-
-JAVA="$JAVA_HOME/bin/java"
-
-ARGS="$DEPOT_JVM_OPTS
-Djava.system.class.loader=net.dpml.depot.lang.DepotClassLoader
\"-Djava.security.policy=$SECURITY_POLICY\" -classpath \"$DEPOT_CLASSPATH\"
net.dpml.depot.lang.Main $DEPOT_ARGS $@"
-
-echo $ARGS | xargs "$JAVA"
+#!/bin/sh
+#
+# Copyright 2004 Niclas Hedhman
+# Copyright 2005 Stephen McConnell
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
+# implied.
+#
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+TITLE="Starting Depot $DEPOT_VERSION."
+echo $TITLE
+echo "$TITLE" | sed 's/./=/g'
+echo " Platform: $PLATFORM"
+echo " Java Home: $JAVA_HOME"
+echo " DPML System: $DPML_SYSTEM"
+echo " DPML Home: $DPML_HOME"
+echo " Security policy: $SECURITY_POLICY"
+echo " JVM Options: $DEPOT_JVM_OPTS"
+echo " Depot Classpath: $DEPOT_CLASSPATH"
+echo " Depot Arguments: $DEPOT_ARGS $@"
+echo ""
+
+JAVA="$JAVA_HOME/bin/java"
+
+ARGS="$DEPOT_JVM_OPTS
-Djava.system.class.loader=net.dpml.depot.lang.DepotClassLoader
\"-Djava.security.policy=$SECURITY_POLICY\" -classpath \"$DEPOT_CLASSPATH\"
net.dpml.depot.lang.Main $DEPOT_ARGS $@"
+
+echo $ARGS | xargs "$JAVA"



  • svn commit: r2558 - development/main/depot/console/etc/bin, peter, 05/14/2005

Archive powered by MHonArc 2.6.24.

Top of Page